/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;

namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a customized exception which is thrown when starting, stopping, initializing or deinitializing one
    /// server fails.
    /// </summary>
    /// <author>real_vg</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class ServerException : ApplicationException
    {
        /// <summary>
        /// Creates a new instance of <c>ServerException</c> class. The string description of the error is given.
        /// </summary>
        /// <param name="message">The string description of the error.</param>
        public ServerException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Creates a new instance of <c>ServerException</c> class. The string description and the original cause of the
        /// error are given.
        /// </summary>
        /// <param name="message">The string description of the error.</param>
        /// <param name="innerException">The original cause of the error.</param>
        public ServerException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}

