/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;

namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a mock concrete implementation of the <c>DatabaseServer</c> class.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class MockDatabaseServer : DatabaseServer
    {
        /// <summary>
        /// Creates a new instance of <c>MockDatabaseServer</c> class.
        /// </summary>
        public MockDatabaseServer()
        {
        }

        /// <summary>
        /// Starts up the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the start flag is set to <c>true</c>. It is called before the initialization
        /// of the server and the tests.
        /// </remarks>
        public override void StartUp()
        {
        }

        /// <summary>
        /// Shuts down the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the start flag is set to <c>true</c>. It is called after the deinitialization
        /// of the server and the tests.
        /// </remarks>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Initializes the data of the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the init flag is set to <c>true</c>. It is called after starting the server
        /// and before the tests.
        /// </remarks>
        public override void InitData()
        {
        }

        /// <summary>
        /// Cleans up the data of the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the init flag is set to <c>true</c>. It is called before stopping the server
        /// and after the tests.
        /// </remarks>
        public override void CleanUpData()
        {
        }
    }
}

